Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3347 - poweroff gets kernel paging exception
Summary: poweroff gets kernel paging exception
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: SysVinit
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-08 20:45 UTC by David Lawrence
Modified: 2014-03-17 02:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-22 00:11:34 UTC


Attachments (Terms of Use)

Description Derek Tattersall 1999-06-08 20:45:08 UTC
The poweroff command causes a kernel paging exceptionafter
the file system have been unmounted.

Comment 1 Derek Tattersall 1999-06-10 15:36:59 UTC
Also happens with halt and shutdown -h.  I have appended a ksymoops
report.
Options used: -V (default)
              -o /lib/modules/2.2.5-15/ (default)
              -k /proc/ksyms (default)
              -l /proc/modules (default)
              -m /boot/System.map (specified)
              -c 1 (default)

Code: <1>


OOPS: 0000
CPU: 0
EIP: 0010:<c0109809>
EFLAGS: 00010046
      <00000000> <00000000> <00008826> <00010046> <08000000>
<c9000000> <c0109a6c> <c776ddd8>
      <c01ce898> <c01c96d> <0000f000> <c776ddd8> <c0109f70> <c010996d>
<c776ddd8> <0000f000>
           <c010719d> <c0107290> <c01072b3> <c01072d1> <c0107fb9>
<c0113bb7> <c01d0329> <c014d777>
           <c010f335> <c010f550> <c010fc17> <c012f533> <c01240fe>
<c012519b> <c01251be> <c01109a7>
           <c01095a8>
CODE: 8a 04 0b 89 44 24 38 50 68 90 e8 1c c0 e8 6d 99 00 00 83 c4

>>EIP: c0109809 <show_registers+4d/280>
Code:  c0109809 <show_registers+4d/280>        00000000 <_EIP>: <===
Code:  c0109809 <show_registers+4d/280>           0:    8a 04
0b                movb   (%ebx,%ecx,1),%al <===
Code:  c010980c <show_registers+50/280>           3:    89 44 24
38             movl   %eax,0x38(%esp,1)
Code:  c0109810 <show_registers+54/280>           7:
50                      pushl  %eax
Code:  c0109811 <show_registers+55/280>           8:    68 90 e8 1c
c0          pushl  $0xc01ce890
Code:  c0109816 <show_registers+5a/280>           d:    e8 6d 99 00
00          call    c0113188 <do_syslog+fc/2c4>
Code:  c010981b <show_registers+5f/280>          12:    83 c4
00                addl   $0x0,%esp


3 warnings issued.  Results may not be reliable.
~

Comment 2 Bill Nottingham 1999-06-23 23:02:59 UTC
That's really bizarre. The code that it says it oopsed in is
the code that prints the oops dump.

If you take the '-p' out of the /etc/rc.d/init.d/halt script,
does it still oops?

Comment 3 Derek Tattersall 1999-06-30 14:17:59 UTC
Removing the -p from the eval $command -i -d -p statement and no
oops.  Any hints as to why this is AMD specific?

Comment 4 Bill Nottingham 1999-07-01 20:37:59 UTC
it's actually probably bios-specific

Comment 5 Cristian Gafton 1999-07-28 06:59:59 UTC
assigned to notting

Comment 6 Bill Nottingham 1999-07-28 21:51:59 UTC
OK, there is a kernel patch which might help. However, here  it
just makes it reboot instead of oops.

Normally I'd suggest upgrading the BIOS, but that hosed the machine
I was using, so I wouldn't suggest doing that.OK, there is a kernel patch which might help. However, here  it
just makes it reboot instead of oops.

Normally I'd suggest upgrading the BIOS, but that hosed the machine
I was using, so I wouldn't suggest doing that.

Comment 7 Bill Nottingham 1999-08-22 00:11:59 UTC
At this point, I'd chalk this up to a broken BIOS.

Comment 8 peterw 2000-01-21 02:36:59 UTC
Could you post a pointer to this mysterious patch? I'd rather fix this in my
kernel than flash my BIOS and pray nothing else gets hosed. :-(

Thanks.


Note You need to log in before you can comment on or make changes to this bug.